Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.contents
Class ContentScanner.GraphicsObjectWrapper<TDataObject extends ContentObject>

    java.lang.Object
      org.pdfclown.documents.contents.ContentScanner.GraphicsObjectWrapper<TDataObject>

Direct Known Subclasses:
  ContentScanner.InlineImageWrapper, ContentScanner.TextStringWrapper, ContentScanner.TextWrapper, ContentScanner.XObjectWrapper

Enclosing class:
  ContentScanner

    public abstract static class ContentScanner.GraphicsObjectWrapper<TDataObject extends ContentObject>

extends Object

Object information.

### Remarks

This class provides derivative (higher-level) information about the currently scanned object.

Field Summary
`protected Rectangle2D` | `box`

Constructor Summary
`protected` | `ContentScanner.GraphicsObjectWrapper(TDataObject baseDataObject)`

Method Summary
`TDataObject` | `getBaseDataObject()` Gets the underlying data object.
`Rectangle2D` | `getBox()` Gets the object's bounding box.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### box

    protected Rectangle2D box

Constructor Detail

### ContentScanner.GraphicsObjectWrapper

    protected ContentScanner.GraphicsObjectWrapper(TDataObject baseDataObject)

Method Detail

### getBaseDataObject

    public TDataObject getBaseDataObject()

  Gets the underlying data object.

### getBox

    public Rectangle2D getBox()

  Gets the object's bounding box.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.